package com.zhyc.module.biosafety.service.impl;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwUnit;
import com.zhyc.module.biosafety.mapper.SwUnitMapper;
import com.zhyc.module.biosafety.service.ISwUnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 药品单位Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
@Service
public class SwUnitServiceImpl implements ISwUnitService
{
    @Autowired
    private SwUnitMapper swUnitMapper;

    /**
     * 查询药品单位
     * 
     * @param id 药品单位主键
     * @return 药品单位
     */
    @Override
    public SwUnit selectSwUnitById(Long id)
    {
        return swUnitMapper.selectSwUnitById(id);
    }

    /**
     * 查询药品单位列表
     * 
     * @param swUnit 药品单位
     * @return 药品单位
     */
    @Override
    public List<SwUnit> selectSwUnitList(SwUnit swUnit)
    {
        return swUnitMapper.selectSwUnitList(swUnit);
    }

    /**
     * 新增药品单位
     * 
     * @param swUnit 药品单位
     * @return 结果
     */
    @Override
    public int insertSwUnit(SwUnit swUnit)
    {
        return swUnitMapper.insertSwUnit(swUnit);
    }

    /**
     * 修改药品单位
     * 
     * @param swUnit 药品单位
     * @return 结果
     */
    @Override
    public int updateSwUnit(SwUnit swUnit)
    {
        return swUnitMapper.updateSwUnit(swUnit);
    }

    /**
     * 批量删除药品单位
     * 
     * @param ids 需要删除的药品单位主键
     * @return 结果
     */
    @Override
    public int deleteSwUnitByIds(Long[] ids)
    {
        return swUnitMapper.deleteSwUnitByIds(ids);
    }

    /**
     * 删除药品单位信息
     * 
     * @param id 药品单位主键
     * @return 结果
     */
    @Override
    public int deleteSwUnitById(Long id)
    {
        return swUnitMapper.deleteSwUnitById(id);
    }
}
